
Katello - Tracker #37076

make it possible to run seeds/migrations after foreman was fully migrated/seeded

01/22/2024 08:15 AM - Evgeni Golov

Status: New % Done: 75%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Rails executes migrations in order of their versions, regardless whether they come from core or from a plugin.

This works fine when you migrate/seed both in one go (= install both gems, run db actions), but not if you install Foreman first and

then try to add Katello on top.

This issue is a tracker for all the existing bugs that need to be fixed in order to make it possible to perform Katello DB actions after

Foreman has been fully installed.

Subtasks:

Bug # 37073: Migration error 'column settings.category does not exist' Closed

Bug # 37074: Migration error 'users.disabled' already exists Closed

Bug # 37075: Invalid single-table inheritance type: ConfigManagementError is not a subc... Closed

Bug # 37077: undefined method `repository_url' for nil:NilClass New

History

#1 - 01/22/2024 08:15 AM - Evgeni Golov

- Subtask #37075 added

#2 - 01/22/2024 08:15 AM - Evgeni Golov

- Subtask #37074 added

#3 - 01/22/2024 08:15 AM - Evgeni Golov

- Subtask #37073 added

#4 - 01/22/2024 08:17 AM - Evgeni Golov

- Subtask #37077 added

#5 - 01/24/2024 06:58 PM - Partha Aji

- Target version set to Katello 4.12.0

- Triaged changed from No to Yes

#6 - 01/24/2024 06:58 PM - Partha Aji

- Target version deleted (Katello 4.12.0)
